/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 获取入驻客户保险签约认证连接二维码 POST /api/CaiNiao/GetCompanyInsureSignQrCode */
export async function getCompanyInsureSignQrCode(
  body: API.GetInsureSignUrlInput,
  options?: API.RequestConfig
) {
  return request<API.GetCompanyInsureSignResult>('/api/CaiNiao/GetCompanyInsureSignQrCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询可投保的保险产品 POST /api/CaiNiao/GetInsureProductConsult */
export async function getInsureProductConsult(
  body: API.GetInsureProductConsultRequest,
  options?: API.RequestConfig
) {
  return request<API.GetInsureProductConsultResponse>('/api/CaiNiao/GetInsureProductConsult', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询投保产品单价 POST /api/CaiNiao/GetInsureProductPrice */
export async function getInsureProductPrice(
  body: API.GetInsureProductPriceInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsureProductPrice>('/api/CaiNiao/GetInsureProductPrice', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询保险产品价格相关信息 POST /api/CaiNiao/GetInsureQueryUnitPrice */
export async function getInsureQueryUnitPrice(
  body: API.GetInsureQueryUnitPriceRequest,
  options?: API.RequestConfig
) {
  return request<API.GetInsureQueryUnitPriceResponse>('/api/CaiNiao/GetInsureQueryUnitPrice', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 退保 POST /api/CaiNiao/GetInsureRefundSend */
export async function getInsureRefundSend(
  body: API.GetInsureRefundSendRequest,
  options?: API.RequestConfig
) {
  return request<API.GetInsureRefundSendResponse>('/api/CaiNiao/GetInsureRefundSend', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户执行投保 POST /api/CaiNiao/GetInsureSend */
export async function getInsureSend(body: API.GetInsureSendRequest, options?: API.RequestConfig) {
  return request<API.GetInsureSendResponse>('/api/CaiNiao/GetInsureSend', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保险签约认证连接 POST /api/CaiNiao/GetInsureSignUrl */
export async function getInsureSignUrl(
  body: API.GetInsureSignUrlRequest,
  options?: API.RequestConfig
) {
  return request<API.GetInsureSignUrlResponse>('/api/CaiNiao/GetInsureSignUrl', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 插入投保产品信息 POST /api/CaiNiao/InsertInsureProductConsult */
export async function insertInsureProductConsult(
  body: API.GetInsureProductConsultRequest,
  options?: API.RequestConfig
) {
  return request<number>('/api/CaiNiao/InsertInsureProductConsult', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
